<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <!-- Product Views -->
    <record id="view_product_form" model="ir.ui.view">
        <field name="name">products.product.form</field>
        <field name="model">products.product</field>
        <field name="arch" type="xml">
            <form string="Product">
                <sheet>
                    <group>
                        <group name="basic_info">
                            <field name="uuid"/>
                            <field name="name"/>
                            <field name="category_id"/>
                            <field name="terminus_schema_id"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="view_product_list" model="ir.ui.view">
        <field name="name">products.product.list</field>
        <field name="model">products.product</field>
        <field name="arch" type="xml">
            <list string="Products">
                <field name="name"/>
                <field name="category_name"/>
                <field name="terminus_schema_id"/>
                <field name="uuid"/>
            </list>
        </field>
    </record>

    <!-- Product Action -->
    <record id="action_product" model="ir.actions.act_window">
        <field name="name">Products</field>
        <field name="res_model">products.product</field>
        <field name="view_mode">list,form</field>
    </record>

    <!-- Menu -->
    <menuitem id="menu_products_main" name="Products" sequence="15"/>
    <menuitem id="menu_categories" name="Categories" parent="menu_products_main" 
              action="action_category" sequence="10"/>
    <menuitem id="menu_products" name="Products" parent="menu_products_main" 
              action="action_product" sequence="20"/>
</odoo>